CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

    calibre-server [options] [path to library folder...]

Starta calibre-innehållsservern. calibre-innehållsservern exponerar dina calibre-bibliotek över internet. Du kan ange sökvägen till biblioteksmappar som argument till calibre-server. Om du inte anger några vägar, kommer alla biblioteken som i calibre- huvudprogrammet känner till att användas.

När du skickar argument till calibre-server som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

[ALTERNATIV]

--access-log
    Sökväg till tillgångs loggfil. Denna loggfil innehåller information om klienter som ansluter till servern och gör efterfrågningar. Som standard görs ingen åtkomstloggning.

--ajax-timeout
    Tid (i sekunder) att vänta på ett svar från servern när förfrågningar görs.

--auth-mode
    Välj typ av autentisering att använda. Ställ in HTTP-autentiseringsläget som används av servern. Ställ in till "basic" om du placerar den här servern bakom en SSL-proxy. Annars lämnar du det som "auto", vilket kommer att använda "basic" om SSL är anpassat, annars använder det "digest".

--auto-reload
    Ladda om servern automatiskt när källkoden ändras. Användbar för utveckling. Du bör också ange ett litet värde för avstängningstiden.

--ban-after
    Antal misslyckade inloggningar för uteslutningar. Antal misslyckade inloggningsförsök varefter en IP-adress är utesluten

--ban-for
    Uteslut IP-adresser som har upprepade misslyckade inloggningsförsök. Uteslut tillfälligt åtkomst för IP-adresser som har upprepade misslyckade inloggningsförsök under det angivna antalet minuter. Användbart för att förhindra försök att gissa lösenord. Om den är inställd på noll görs ingen uteslutning.

--book-list-mode
    Välj standardläge för boklistan. Ställ in standardläget för boklistan som ska användas för nya användare. Enskilda användare kan åsidosätta standardinställningarna i sina egna inställningar. Standardinställningen är att använda ett omslagsrutnät.

--compress-min-size
    Minsta storlek för svar att använda vid datakomprimering (i byte).

--custom-list-template
    Sökvägen till en JSON-fil som innehåller en mall för det anpassade boklistsläget. Det enklaste sättet att skapa en sådan mallfil är att gå till Inställningar->Dela via nätet->Mall för boklista i calibre, skapa mallen och exportera den.

--daemonize
    Kör process i bakgrunden som en demon (endast Linux).

--displayed-fields
    Begränsa användardefinierade fält som ska visas. Kommaseparerad lista med användardefinierade metadatafält som kommer att visas av innehållsservern i /opds- och /mobila-vyer. Om du anger det här alternativet kommer alla fält som inte finns i den här listan att inte visas. Till exempel: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Förallokering av socket-anslutning, till exempel med systemd socket aktivering. Som standard är det här alternativet aktiverat.

--enable-auth, --disable-auth
    Lösenordsbaserad autentisering för att komma åt servern. Normalt är servern obegränsad, så att alla kan få åtkomst till den. Du kan begränsa åtkomsten till fördefinierade användare med det här alternativet. Som standard är det här alternativet inaktiverat.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Återfall till automatiskt upptäckt gränssnitt. Om servern av någon anledning inte kan binda till gränssnittet som anges i alternativet listen_on, kommer det att försöka identifiera ett gränssnitt som ansluter till omvärlden och binda till det. Som standard är det här alternativet aktiverat.

--enable-local-write, --disable-local-write
    Tillåt icke-autentiserade lokala anslutningar att göra ändringar. Normalt, om du inte aktiverar autentisering, fungerar servern i skrivskyddat läge för att inte tillåta anonyma användare att göra ändringar i dina calibre-bibliotek. Med det här alternativet kan alla som ansluter från samma dator som servern körs göra ändringar. Detta är användbart om du vill köra servern utan autentisering men ändå använder calibredb för att göra ändringar i dina calibre-bibliotek. Observera att om du aktiverar det här alternativet betyder det att alla program som körs på datorn kan göra ändringar i dina calibre-bibliotek. Som standard är det här alternativet inaktiverat.

--enable-log-not-found, --disable-log-not-found
    Logga HTTP 404 (inte hittad)-förfrågningar. Normalt loggar servern alla HTTP-förfrågningar för resurser som inte finns. Detta kan skapa en hel del skräploggar, om din server är inriktad från robotar. Använd det här alternativet för att stänga av dem. Som standard är det här alternativet aktiverat.

--enable-use-bonjour, --disable-use-bonjour
    Annonsera OPDS-flöden via BonJour. Annonsera OPDS-flöden via BonJour-tjänsten så att OPDS-baserade läsappar kan upptäcka och ansluta till servern automatiskt. Som standard är det här alternativet aktiverat.

--enable-use-sendfile, --disable-use-sendfile
    Nollkopiera filöverföringar för ökad prestanda. Det här kommer att använda nollkopiera för överföringar i kärnan när filer skickas över nätverket, vilket ökar prestandan. Det kan dock orsaka skadade filöverföringar på några brutna filsystem. Om du påträffar skadade filöverföringar, stäng av det. Som standard är det här alternativet aktiverat.

--help, -h
    visa denna hjälptext och avsluta

--ignored-fields
    Ignorera användardefinierade metadatafält. Kommaseparerad lista över användardefinierade metadatafält som inte kommer att visas av innehållsservern i /opds- och /mobila-vyer. Till exempel: my_rating,my_tags

--listen-on
    Gränssnitt för att lyssna efter anslutningar. Standard är att lyssna på alla tillgängliga IPv6- och IPv4-gränssnitt. Du kan ändra detta till till exempel "127.0.0.1" för att bara lyssna efter IPv4-anslutningar från den lokala maskinen, eller till "0.0.0.0" för att lyssna på alla inkommande IPv4-anslutningar.

--log
    Sökväg till loggfil för servern. Denna loggfil innehåller serverinformation och fel, inte åtkomstloggar. Som standard skrivs den till stdout.

--manage-users
    Hantera databasen över användare som får ansluta till denna server. Du kan använda den i automatiserat läge genom att lägga till en --. Se calibre-server --manage-users -- help för mer information. Se även alternativet --userdb.

--max-header-line-size
    Största storlek på enskild HTTP-rubrik (i KB).

--max-job-time
    Längsta tid för arbetarprocesser. Högsta tid som arbetsprocesser tillåts köras (i minuter). Ställ in på noll för ingen gräns.

--max-jobs
    Högst antal arbetarprocesser. Arbetarprocesser startas efter behov och används för stora jobb som att förbereda en bok för visning, lägga till böcker, konvertera etc. Normalt är högsta antalet sådana processer baserat på antalet CPU-kärnor. Du kan kontrollera det med den här inställningen.

--max-log-size
    Största loggfilstorlek (i MB). Största storlek på loggfiler som skapas av servern. När loggfilen blir större än denna storlek roteras den automatiskt. Satt till noll för att inaktivera loggrotation.

--max-opds-items
    Högst antal böcker i OPDS-flöden. Högsta antalet böcker som servern kommer att returnera i ett enskilt OPDS-anskaffningsflöde.

--max-opds-ungrouped-items
    Högst antal ogrupperade poster i OPDS-flöden. Gruppera poster i kategorier som författare/taggar efter första bokstaven när det finns fler än det här antalet poster. Ange noll för att inaktivera.

--max-request-body-size
    Största tillåtna storlek för filer som överförs till servern (i MB).

--num-per-page
    Antal böcker att visa på en enskild sida. Antalet böcker som ska visas på en enskild sida i webbläsaren.

--pidfile
    Skriv process-PID till angiven fil

--port
    Port att lyssna på efter anslutningar.

--search-the-net-urls
    Sökväg till en JSON-fil som innehåller URL:er för funktionen "Sök på internet". Det enklaste sättet att skapa en sådan fil är att gå till Inställningar->Dela via nätet->Sök på internet i calibre, skapa URL:erna och exportera dem.

--shutdown-timeout
    Total tid i sekunder att vänta på ren avstängning.

--ssl-certfile
    Sökväg till SSL-certifikatfil.

--ssl-keyfile
    Sökväg till privat SSL-nyckelfil.

--timeout
    Tid (i sekunder) varefter en inaktiv anslutning stängs.

--trusted-ips
    Tillåt icke-autentiserade anslutningar från specifika IP-adresser att göra ändringar. Normalt, om du inte aktiverar autentisering, fungerar servern i skrivskyddat läge för att inte tillåta anonyma användare att göra ändringar i dina calibre-bibliotek. Med det här alternativet kan alla som ansluter från de angivna IP-adresserna göra ändringar. Måste vara en kommaseparerad lista med adress- eller nätverksspecifikationer. Detta är användbart om du vill köra servern utan autentisering men ändå använder calibredb för att göra ändringar i dina calibre-bibliotek. Observera att om du aktiverar det här alternativet betyder det att alla som ansluter från de angivna IP-adresserna kan göra ändringar i dina calibre-bibliotek.

--url-prefix
    Ett prefix att lägga till i början på alla URL:er. Användbart om du vill köra den här servern bakom en omvänd proxy. Använd till exempel /calibre som URL-prefix.

--userdb
    Sökväg till användardatabasen att använda för autentisering. Databasen är en SQLite-fil. För att skapa den använder du --manage-users. Du kan läsa mer om hantering av användare på: https://manual.calibre-ebook.com/sv/server.html#managing-user-accounts-from-the-command-line-only

--version
    visar programmets versionsnummer och avsluta

--worker-count
    Antal arbetstrådar som används för att behandla förfrågningar.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal